DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
List of all members
dcmtk::log4cplus::helpers::ServerSocket Class Reference

This class implements server sockets. More...

Inheritance diagram for dcmtk::log4cplus::helpers::ServerSocket:

## Additional Inherited Members
Public Member Functions inherited from dcmtk::log4cplus::helpers::AbstractSocket
virtual void | close ()
| Close socket.

## Detailed Description

This class implements server sockets.

A server socket waits for requests to come in over the network. It performs some operation based on that request, and then possibly returns a result to the requester.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/helpers/socket.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2